summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-11-10 20:11:31 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-11-10 22:30:22 +0100
commit3fa6d920893766911f27b7775c0492b409944e6a (patch)
tree108d14d03f0cae1229fb85b03791e4cc3f3a8bb9 /kde-apps/dolphin-plugins-dropbox
parentkde-frameworks: Add KDE Frameworks 5.64.0 (diff)
downloadgentoo-3fa6d920893766911f27b7775c0492b409944e6a.tar.gz
gentoo-3fa6d920893766911f27b7775c0492b409944e6a.tar.bz2
gentoo-3fa6d920893766911f27b7775c0492b409944e6a.zip
kde-apps: Add KDE Applications 19.08.3
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-apps/dolphin-plugins-dropbox')
-rw-r--r--kde-apps/dolphin-plugins-dropbox/Manifest1
-rw-r--r--kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.08.3.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/kde-apps/dolphin-plugins-dropbox/Manifest b/kde-apps/dolphin-plugins-dropbox/Manifest
index 7b27cbcb4d2..5d60a026196 100644
--- a/kde-apps/dolphin-plugins-dropbox/Manifest
+++ b/kde-apps/dolphin-plugins-dropbox/Manifest
@@ -1,2 +1,3 @@
DIST dolphin-plugins-19.04.3.tar.xz 191524 BLAKE2B 8869c9e5c4de20b64ad426db82ce2249821f2bf6ceec958f55b385b16c3c85af7b4e908a37f422e79454ee1ba4f604e1ed9a4ef7ba7ff431dffb32d7443c55e3 SHA512 5a89daee3a4366905bd5c884460b62b9faf75989f8bb9b108f019c4359c5ea6406efcaf896a3504870819467130cd76e31a92cf9d697a5306293b5efd701e4c3
DIST dolphin-plugins-19.08.2.tar.xz 193652 BLAKE2B 8626ab3375615991d7260fee46ffc725bb5fe739e8c5ba0f8556f2171475a2d4d2751d491f2fa235091a26c3caf5b680b0749ef7c63336a60e0cbb48a0cf3494 SHA512 9d84ccdd313bdbf8c944c887321d8459b6bcd2289e48fee3191e30b5c9ea1a0a0c37923f8382f160dfd99f08cabacf32a123674278a0d80bdbb52a5e12685af0
+DIST dolphin-plugins-19.08.3.tar.xz 192608 BLAKE2B 36ad06761a2e016d23af7fcfd206b7d5bd0e07a26f7268dfa40f8f111555c8f41545751c5255d94cab4c8855f3c5e47dacfe762ec4558abc7620f4c6dea1668c SHA512 a9155d8811eebfdaf0e76636746eca20e065d994a7c9e69672e8ebb9cdede118ce518e012e165d3ea82786ee53d46d044e63f208564d2de91b0c8d8c9daf509e
diff --git a/kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.08.3.ebuild b/kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.08.3.ebuild
new file mode 100644
index 00000000000..91c272ea7d8
--- /dev/null
+++ b/kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.08.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_ORG_NAME="dolphin-plugins"
+ECM_HANDBOOK="false"
+MY_PLUGIN_NAME="dropbox"
+PVCUT=$(ver_cut 1-3)
+KFMIN=5.60.0
+QTMIN=5.12.3
+inherit ecm kde.org
+
+DESCRIPTION="Dolphin plugin for Dropbox service integration"
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/ktextwidgets-${KFMIN}:5
+ >=kde-frameworks/kxmlgui-${KFMIN}:5
+ >=kde-apps/dolphin-${PVCUT}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+"
+RDEPEND="${DEPEND}
+ !kde-apps/dolphin-plugins:5
+ net-misc/dropbox-cli
+"
+
+src_prepare() {
+ ecm_src_prepare
+ # delete non-${PN} translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ find po -type f -name "*po" -and -not -name "*${MY_PLUGIN_NAME}plugin" -delete || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_${MY_PLUGIN_NAME}=ON
+ -DBUILD_bazaar=OFF
+ -DBUILD_git=OFF
+ -DBUILD_hg=OFF
+ -DBUILD_svn=OFF
+ )
+ ecm_src_configure
+}